---
lang: en
title: 'API docs: context.bindingelement'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.bindingelement.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingElement](./context.bindingelement.md)

## BindingElement interface

Wrapper for bindings tracked by resolution sessions

<b>Signature:</b>

```typescript
export interface BindingElement 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [type](./context.bindingelement.type.md) | <code>'binding'</code> |  |
|  [value](./context.bindingelement.value.md) | <code>Readonly&lt;Binding&gt;</code> |  |


